Loading...
Searching...
No Matches
mdds::rtree< KeyT, ValueT, Traits >::iterator_base< _SelfIter, _StoreIter, _ValueT > Class Template Reference

## Public Types

using | store_iterator_type = _StoreIter
using | self_iterator_type = _SelfIter
using | value_type = _ValueT
using | pointer = value_type*
using | reference = value_type&
using | difference_type = std::ptrdiff_t
using | iterator_category = std::bidirectional_iterator_tag

## Public Member Functions

bool | operator== (const self_iterator_type &other) const
bool | operator!= (const self_iterator_type &other) const
self_iterator_type & | operator++ ()
self_iterator_type | operator++ (int)
self_iterator_type & | operator-- ()
self_iterator_type | operator-- (int)
const extent_type & | extent () const
size_t | depth () const

## Protected Member Functions

| iterator_base (store_iterator_type pos)

## Protected Attributes

store_iterator_type | m_pos